Bug 1294579 - lxsession Consumes 100% CPU
lxsession Consumes 100% CPU
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: lxsession (Show other bugs)
23
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-28 23:57 EST by Mat
Modified: 2016-05-16 18:28 EDT (History)
3 users (show)

See Also:
Fixed In Version: lxsession-0.5.2-9.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-16 18:28:12 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mat 2015-12-28 23:57:14 EST
Description of problem:
When running LXDE, lxsession consumes 100% of CPU continuously when ~/.config/lxsession/LXDE/desktop.conf contains LeftHanded=1 under the [Mouse] section. 


Version-Release number of selected component (if applicable):
lxsession-0.5.2-6 (most current one in Fedora 23)

How reproducible:
Easy.

Steps to Reproduce:
1. Fresh install of Fedora 23 GNOME 64 bit 
2. dnf install @lxde-desktop 
3. create new user and log in as that user under LXDE
4. change the file as mentioned in description above to `LeftHanded=1`
5. Log out and back in 

Actual results:
`top` shows that lxsession consumes 100% of CPU all the time. 

Expected results:
lxsession should not consume much CPU after startup. 

Additional info:
Should be the same problem when running LXDE live directly.
Comment 1 James Caldwell 2016-04-15 06:59:42 EDT
I am now having the same issue. If I set the mouse to left handed then CPU usage goes to 100%. 

Previously I did not have some gnome programs installed and it would do this as well but I used DNF install gnome-* to fix that.
Comment 2 James Caldwell 2016-04-20 02:03:30 EDT
Get the latest lxsession from sourceforge.

Run autogen in the folder

Configure with this
lxsession-0.5.2]# ./configure -enable-gtk -enable-gtk3 --enable-debug --prefix=/usr 

It may crash with some compile error, run make distclean and rerun configure and it should then compile with make.

make install

No more problems
Comment 3 Fedora Update System 2016-04-30 09:54:10 EDT
lxsession-0.5.2-9.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-2f1d9fb2cf
Comment 4 Fedora Update System 2016-04-30 09:54:52 EDT
lxsession-0.5.2-9.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-afa56613ca
Comment 5 Fedora Update System 2016-04-30 14:21:19 EDT
lxsession-0.5.2-9.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-2f1d9fb2cf
Comment 6 Fedora Update System 2016-04-30 21:24:08 EDT
lxsession-0.5.2-9.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-afa56613ca
Comment 7 Fedora Update System 2016-05-16 12:29:13 EDT
lxsession-0.5.2-9.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2016-05-16 18:28:10 EDT
lxsession-0.5.2-9.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.